package teajay.bytecode.attributes.code;

import teajay.bytecode.OpCode;
import teajay.bytecode.cpool.ClassInfo;

/**
 *
 * @author Michael Kußmann <michi@outx.de>
 */
public class ANewArray extends SimpleInstruction {
    
    public ANewArray(ClassInfo type) {
        this.setOpcode(OpCode.anewarray);
        this.setOperands(type);
    }

    @Override
    int getLocalModifier() {
        return 0;
    }
    
}
