package teajay.bytecode.attributes.code;

/**
 * @author Michael Kußmann <michi@outx.de>
 */
public final class IfICmp extends CompareInstruction {

    public IfICmp(IMode mode, JVMInstruction branchTarget) {
        super(mode.getForIfICmp(), branchTarget);
    }
    
    public IfICmp(IMode mode, Label branchTarget) {
        super(mode.getForIfICmp(), branchTarget);
    }
}
