package teajay.bytecode.attributes.code;

import teajay.bytecode.OpCode;
import teajay.bytecode.cpool.ClassInfo;

/**
 *
 * @author Michael Kußmann <michi@outx.de>
 */
public class InstanceOf extends SimpleInstruction {
    public InstanceOf(ClassInfo info) {
        this.setOpcode(OpCode.vm_instanceof);
        this.setOperands(info);
    }
    
    @Override
    int getLocalModifier() {
        return 0;
    }

}
