package teajay.bytecode.attributes.code;

import teajay.bytecode.OpCode;
import teajay.bytecode.cpool.MethodRefInfo;

/**
 *
 * @author Michael Kußmann <michi@outx.de>
 */
public class InvokeStatic extends InvokeInstruction {
   
    public InvokeStatic(MethodRefInfo method) {
        super(method, OpCode.invokestatic);
        this.setOperands(method);
    }    
}
