package teajay.bytecode.attributes.code;

import java.io.DataOutputStream;
import java.io.IOException;
import teajay.bytecode.cpool.ConstantPool;
import teajay.bytecode.exceptions.ByteCodeException;

/**
 *
 * @author Michael Kußmann <michi@outx.de>
 */
abstract class JumpInstruction extends SimpleInstruction {
    @Override
    abstract boolean validate(ConstantPool cpool) throws ByteCodeException;
    
    @Override
    public abstract void write(DataOutputStream out, ConstantPool cpool) throws IOException, ByteCodeException;
    
    @Override
    int getLocalModifier() {
        return 0;
    }
}
