package teajay.bytecode.attributes.code;

import teajay.bytecode.OpCode;
import teajay.bytecode.cpool.ClassInfo;

/**
 *
 * @author Michael Kußmann <michi@outx.de>
 */
public class New extends SimpleInstruction {
    
    public New(ClassInfo classInfo) {
        this.setOpcode(OpCode.vm_new);
        this.setOperands(classInfo);
    }

    @Override
    int getLocalModifier() {
        return 0;
    }
    
}
