package teajay.bytecode.attributes.code;

import teajay.bytecode.OpCode;

/**
 *
 * @author Michael Kußmann <michi@outx.de>
 */
public enum ReturnType {
    Integer(OpCode.ireturn),
    Reference(OpCode.areturn),
    Float(OpCode.freturn),
    Double(OpCode.dreturn),
    Long(OpCode.lreturn),
    Void(OpCode.vm_return);
    
    final OpCode opcode;
    
    private ReturnType(OpCode opcode) {
        this.opcode = opcode;
    }
}
