package teajay.bytecode.attributes.code;

import java.util.Comparator;
import teajay.bytecode.exceptions.ByteCodeException;

/**
 *
 * @author Michael Kußmann <michi@outx.de>
 */
class StackMapFrameComparator implements Comparator<StackMapFrame> {

    @Override
    public int compare(StackMapFrame o1, StackMapFrame o2) {
        try {
            return Long.compare(o1.getStart().getAddress(null), o2.getStart().getAddress(null));
        } catch (ByteCodeException ex) {
            throw new RuntimeException(ex);
        }
    }
    
}
