package teajay.bytecode.cpool;

/**
 *
 * @author Michael Kußmann <michi@outx.de>
 */
public final class LongInfo extends U8Info {

    public LongInfo(long value) {
        super(CPoolTag.Long, value);
    }

    public long getLongValue() {
        return getRawValue();
    }

    @Override
    public String toString() {
        return this.getClass().getSimpleName() + ": " + this.getRawValue();
    }

    @Override
    public boolean equals(Object obj) {
        return (obj instanceof LongInfo) && super.equals(obj);
    }

    @Override
    public int hashCode() {
        int hash = 43 * super.hashCode();
        return hash;
    }
}
