/*
This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.
    
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package codegeneration.abstractvisitors;

import abstractsyntaxtree.FieldDeclaratorsRestNode;
import abstractsyntaxtree.MethodeDeclaratorRestNode;
import codegeneration.Visitor;

/**
 *
 * @author Michael Burzan
 */
public abstract class AbstractMethodeOrFieldRestVisitor extends Visitor {

    public abstract void begin(FieldDeclaratorsRestNode node) throws exceptions.CompilerException;

    public abstract void begin(MethodeDeclaratorRestNode node) throws exceptions.CompilerException;

    public abstract Visitor visit(FieldDeclaratorsRestNode node) throws exceptions.CompilerException;

    public abstract Visitor visit(MethodeDeclaratorRestNode node) throws exceptions.CompilerException;

    public abstract void end(FieldDeclaratorsRestNode node) throws exceptions.CompilerException;

    public abstract void end(MethodeDeclaratorRestNode node) throws exceptions.CompilerException;
}
