/*
This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.
    
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package codegeneration.javavisitor.expression;

import abstractsyntaxtree.AssignmentOperatorNode;
import abstractsyntaxtree.Et1Node;
import abstractsyntaxtree.Expression1Node;
import abstractsyntaxtree.Expression1RestNode;
import abstractsyntaxtree.Expression2RestNode;
import abstractsyntaxtree.Expression3Node;
import abstractsyntaxtree.PostfixOpNode;
import abstractsyntaxtree.PrefixOpNode;
import abstractsyntaxtree.PrimaryNode;
import abstractsyntaxtree.SelectorNode;
import codegeneration.Visitor;
import codegeneration.abstractvisitors.AbstractExpression3Visitor;
import teajay.bytecode.ClassFile;
import teajay.bytecode.methods.MethodInfo;

/**
 *
 * @author Michael Burzan
 */
public class Expression3Visitor extends AbstractExpression3Visitor {

    private final MethodInfo info;
    private final ClassFile classFile;

    Expression3Visitor(ClassFile classFile, MethodInfo info) {
        this.classFile = classFile;
        this.info = info;
    }

    @Override
    public void begin(PrefixOpNode node) {
    }

    @Override
    public void begin(Expression3Node node) {
    }

    @Override
    public void begin(PrimaryNode node) {
    }

    @Override
    public void begin(SelectorNode node) {
    }

    @Override
    public void begin(PostfixOpNode node) {
    }

    @Override
    public void begin(Expression2RestNode node) {
    }

    @Override
    public void begin(Expression1RestNode node) {
    }

    @Override
    public void begin(AssignmentOperatorNode node) {
    }

    @Override
    public void begin(Expression1Node node) {
    }

    @Override
    public void begin(Et1Node node) {
    }

    @Override
    public void visit(PrefixOpNode node) {
    }

    @Override
    public Visitor visit(Expression3Node node) {
        return null;
    }

    @Override
    public Visitor visit(PrimaryNode node) {
        return new PrimaryVisitor(this.classFile, this.info, node.getIdentifier(), node.getIdentifierList());
    }

    @Override
    public Visitor visit(SelectorNode node) {
        return null;
    }

    @Override
    public void visit(PostfixOpNode node) {
    }

    @Override
    public Visitor visit(Expression2RestNode node) {
        return null;
    }

    @Override
    public Visitor visit(Expression1RestNode node) {
        return null;
    }

    @Override
    public void visit(AssignmentOperatorNode node) {
    }

    @Override
    public Visitor visit(Expression1Node node) {
        return null;
    }

    @Override
    public Visitor visit(Et1Node node) {
        return null;
    }

    @Override
    public void end(PrefixOpNode node) {
    }

    @Override
    public void end(Expression3Node node) {
    }

    @Override
    public void end(PrimaryNode node) {
    }

    @Override
    public void end(SelectorNode node) {
    }

    @Override
    public void end(PostfixOpNode node) {
    }

    @Override
    public void end(Expression2RestNode node) {
    }

    @Override
    public void end(Expression1RestNode node) {
    }

    @Override
    public void end(AssignmentOperatorNode node) {
    }

    @Override
    public void end(Expression1Node node) {
    }

    @Override
    public void end(Et1Node node) {
    }
}
