/*
This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.
    
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package stage1;

import abstractsyntaxtree.BasicTypeNode;
import abstractsyntaxtree.CreatedNameNode.IdentTypeArgumentsOrDiamondNode;
import abstractsyntaxtree.TypeArgumentsOrDiamondNode;
import codegeneration.Visitor;
import codegeneration.abstractvisitors.AbstractCreatedNameVisitor;
import codegeneration.environment.Stage1Environment;
import exceptions.CompilerException;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author Michael Burzan
 */
public class Stage1CreatedNameVisitor extends AbstractCreatedNameVisitor {
    private final Stage1Environment stage1Env;
    private final String identifier;
    private List<String> identList = new ArrayList<>();
    
 

    Stage1CreatedNameVisitor(Stage1Environment stage1Env, String identifier) {
        this.stage1Env = stage1Env;
        this.identifier = identifier;
        this.identList.add(identifier);
    }
    
    @Override
    public void begin(TypeArgumentsOrDiamondNode node) throws CompilerException {

    }

    @Override
    public void begin(BasicTypeNode node) throws CompilerException {
        
    }

    @Override
    public Visitor visit(TypeArgumentsOrDiamondNode node) throws CompilerException {
       return null;
    }

    @Override
    public void visit(BasicTypeNode node) throws CompilerException {
    }

    @Override
    public void end(TypeArgumentsOrDiamondNode node) throws CompilerException {

    }

    @Override
    public void end(BasicTypeNode node) throws CompilerException {

    }
    
    @Override
    public void begin(IdentTypeArgumentsOrDiamondNode node){
       identList.add(node.getIdentifier());
    }
    
    @Override
    public Visitor visit(IdentTypeArgumentsOrDiamondNode node){
        return null;
    }
    
    
    @Override
    public void end(IdentTypeArgumentsOrDiamondNode node){
        
    }
    
    public List<String> getIdentList(){
        return this.identList;
    }
    
}
