package teajay.bytecode.attributes.code;

import teajay.bytecode.OpCode;

/**
 * Implements the aaload instruction.
 * This instruction loads a reference from an array of references.
 * @author Michael Kußmann <michi@outx.de>
 */

public class AALoad extends SimpleInstruction {

    public AALoad() {
        this.setOpcode(OpCode.aaload);
    }

    @Override
    int getLocalModifier() {
        return 0;
    }
}