package teajay.bytecode.attributes.code;

import teajay.bytecode.OpCode;

/**
 *
 * @author Michael Kußmann <michi@outx.de>
 */
public enum CMode {
    Byte(OpCode.i2b),
    Char(OpCode.i2c),
    Double(OpCode.i2d),
    Float(OpCode.i2f),
    Long(OpCode.i2l),
    Short(OpCode.i2s);
    
    final OpCode opcode;
    
    private CMode(OpCode opcode) {
        this.opcode = opcode;
    }
}
