package teajay.bytecode.attributes.code;

import teajay.bytecode.OpCode;
import teajay.bytecode.cpool.ClassInfo;

/**
 *
 * @author Michael Kußmann <michi@outx.de>
 */
public class CheckCast extends SimpleInstruction {

    public CheckCast(ClassInfo type) {
        this.setOpcode(OpCode.checkcast);
        this.setOperands(type);
    }

    @Override
    int getLocalModifier() {
        return 0;
    }
}
