package teajay.bytecode.attributes.code;

import teajay.bytecode.OpCode;

/**
 *
 * @author Michael Kußmann <michi@outx.de>
 */
public final class IfACmpEq extends CompareInstruction {

    public IfACmpEq(JVMInstruction branchTarget) {
        super(OpCode.if_acmpeq, branchTarget);
    }
    
    public IfACmpEq(Label branchTarget) {
        super(OpCode.if_acmpeq, branchTarget);
    }
}
