package teajay.bytecode.attributes.code;

import teajay.bytecode.OpCode;

/**
 *
 * @author Michael Kußmann <michi@outx.de>
 */
public final class IfACmpNe extends CompareInstruction {

    public IfACmpNe(JVMInstruction branchTarget) {
        super(OpCode.if_acmpne, branchTarget);
    }
    
    public IfACmpNe(Label branchTarget) {
        super(OpCode.if_acmpne, branchTarget);
    }
}