package teajay.bytecode.attributes.code;

import teajay.bytecode.OpCode;

/**
 * Push long constant onto the stack.
 *
 * @author Michael Kußmann <michi@outx.de>
 */
public class LConst0 extends SimpleInstruction {

    public LConst0() {
        this.setOpcode(OpCode.lconst_0);
    }

    @Override
    int getLocalModifier() {
        return 0;
    }
}
