package teajay.bytecode.attributes.code;

import teajay.bytecode.OpCode;
import teajay.bytecode.cpool.FieldRefInfo;

/**
 *
 * @author Michael Kußmann <michi@outx.de>
 */
public class PutField extends SimpleInstruction {
    
    public PutField(FieldRefInfo field) {
        this.setOpcode(OpCode.putfield);
        this.setOperands(field);
    }

    @Override
    int getLocalModifier() {
        return 0;
    }
}
