package teajay.bytecode.attributes.code;

import teajay.bytecode.OpCode;
import teajay.bytecode.cpool.FieldRefInfo;

/**
 *
 * @author Michael Kußmann <michi@outx.de>
 */
public class PutStatic extends SimpleInstruction {
    
    public PutStatic(FieldRefInfo field) {
        this.setOpcode(OpCode.putstatic);
        this.setOperands(field);
    }

    @Override
    int getLocalModifier() {
        return 0;
    }
}
