package teajay.bytecode.attributes.code;

/**
 *
 * @author Michael Kußmann <michi@outx.de>
 */
public class Return extends SimpleInstruction {
    
    public Return(ReturnType type) {
        this.setOpcode(type.opcode);
    }
    /**
     * Creates a new void return instruction
     */
    public Return() {
        this(ReturnType.Void);
    }

    @Override
    int getLocalModifier() {
        return 0;
    }
}
