package teajay.bytecode.cpool;

/**
 * Supported since class file major version 53 (Java 9)
 * @author Michael Kußmann <michi@outx.de>
 */
public final class ModuleInfo extends U1U2Entry<Utf8Info> {
    
    public ModuleInfo(Utf8Info reference) {
        super(CPoolTag.Module, reference);
    }
    
    public ModuleInfo(String value) {
        super(CPoolTag.Module, new Utf8Info(value));
    }
    
    public String getModule() {
        return this.getValue().getValue();
    }
}
