package teajay.bytecode.cpool;

/**
 * Supported since class file major version 53 (Java 9)
 * @author Michael Kußmann <michi@outx.de>
 */
public final class PackageInfo extends U1U2Entry<Utf8Info> {
    
    public PackageInfo(Utf8Info reference) {
        super(CPoolTag.Package, reference);
    }
    
    public PackageInfo(String value) {
        super(CPoolTag.Package, new Utf8Info(value));
    }
    
    public String getPackage() {
        return this.getValue().getValue();
    }
}
