package teajay.bytecode.exceptions;

/**
 * This kind of exceptions are always thrown when malformed bytecode is detected.
 * @author Michael Kußmann <michi@outx.de>
 */
public class ByteCodeException extends Exception {
    private final static long serialVersionUID = 1L;
    
    public ByteCodeException(String msg) {
        super(msg);
    }

    public ByteCodeException(Throwable cause) {
        super(cause);
    }

    public ByteCodeException(String message, Throwable cause) {
        super(message, cause);
    }
}
