package teajay.bytecode.util;

/**
 *
 * @author Michael Kußmann <michi@outx.de>
 */
public final class StringIterator {
    private final char[] str;
    private final String tmp;
    private int pos = 0;
    
    public StringIterator(String str) {
        this.str = str.toCharArray();
        this.tmp = str;
    }

    public boolean hasNext() {
        return pos < str.length;
    }

    public char next() {
        return str[pos++];
    }
    
    public char peek() {
        return str[pos];
    }
    
    @Override
    public String toString() {
        return tmp;
    }
}
