/*
This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.
    
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package codegeneration.javavisitor.expression;

import abstractsyntaxtree.Expression2Node;
import abstractsyntaxtree.Expression1RestNode;
import codegeneration.Visitor;
import codegeneration.abstractvisitors.AbstractExpression1Visitor;
import teajay.bytecode.ClassFile;
import teajay.bytecode.methods.MethodInfo;

/**
 *
 * @author cefour
 */
public class Expression1Visitor extends AbstractExpression1Visitor {

    private final MethodInfo info;
    private final ClassFile classFile;

    Expression1Visitor(ClassFile classFile, MethodInfo info) {
        this.classFile = classFile;
        this.info = info;
    }

    @Override
    public void begin(Expression2Node node) {
    }

    @Override
    public void begin(Expression1RestNode node) {
    }

    @Override
    public Visitor visit(Expression2Node node) {
        return new Expression2Visitor(this.classFile, this.info);
    }

    @Override
    public Visitor visit(Expression1RestNode node) {

        return null;
    }

    @Override
    public void end(Expression2Node node) {
    }

    @Override
    public void end(Expression1RestNode node) {
    }
}
