/*
This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.
    
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package codegeneration.javavisitor.expression.expressiontransform;

import codegeneration.environment.ExpressionEnvironment;
import abstractsyntaxtree.ArgumentsNode;
import abstractsyntaxtree.ClassBodyNode;
import abstractsyntaxtree.InfixOpNode;
import static abstractsyntaxtree.InfixOpNode.InfixOps.ADD;
import static abstractsyntaxtree.InfixOpNode.InfixOps.AND;
import static abstractsyntaxtree.InfixOpNode.InfixOps.BIT_AND;
import static abstractsyntaxtree.InfixOpNode.InfixOps.BIT_OR;
import static abstractsyntaxtree.InfixOpNode.InfixOps.BIT_XOR;
import static abstractsyntaxtree.InfixOpNode.InfixOps.DIV;
import static abstractsyntaxtree.InfixOpNode.InfixOps.DOUBLE_RIGHT_SHIFT;
import static abstractsyntaxtree.InfixOpNode.InfixOps.EQL;
import static abstractsyntaxtree.InfixOpNode.InfixOps.GREATER;
import static abstractsyntaxtree.InfixOpNode.InfixOps.GREATER_EQUAL;
import static abstractsyntaxtree.InfixOpNode.InfixOps.LEFT_SHIFT;
import static abstractsyntaxtree.InfixOpNode.InfixOps.LESS;
import static abstractsyntaxtree.InfixOpNode.InfixOps.LESS_EQUAL;
import static abstractsyntaxtree.InfixOpNode.InfixOps.MOD;
import static abstractsyntaxtree.InfixOpNode.InfixOps.MULT;
import static abstractsyntaxtree.InfixOpNode.InfixOps.NEQL;
import static abstractsyntaxtree.InfixOpNode.InfixOps.OR;
import static abstractsyntaxtree.InfixOpNode.InfixOps.RIGHT_SHIFT;
import static abstractsyntaxtree.InfixOpNode.InfixOps.SUB;
import codegeneration.Visitor;
import codegeneration.abstractvisitors.AbstractClassCreatorRestVisitor;
import codegeneration.instruction.InstructionCreator;
import exceptions.CompilerException;
import java.util.Deque;
import java.util.LinkedList;
import symbol.LocalEntry;
import symbol.SymbolFacade;
import teajay.bytecode.attributes.code.AStore;
import teajay.bytecode.attributes.code.IAdd;
import teajay.bytecode.attributes.code.IMul;
import teajay.bytecode.attributes.code.InvokeSpecial;
import teajay.bytecode.attributes.code.JVMInstructionList;
import teajay.bytecode.cpool.MethodRefInfo;
import teajay.bytecode.exceptions.ByteCodeException;

/**
 *
 * @author cefour
 */
class ClassCreaterRestVisitor extends AbstractClassCreatorRestVisitor {

    private final ExpressionEnvironment env;

    public ClassCreaterRestVisitor(ExpressionEnvironment env) {
        this.env = env;
    }

    @Override
    public void begin(ArgumentsNode node) {
    }

    @Override
    public void begin(ClassBodyNode node) {
    }

    @Override
    public Visitor visit(ArgumentsNode node) {
        return new ArgumentsVisitor(env);
    }

    @Override
    public Visitor visit(ClassBodyNode node) {
        return null;
    }

    @Override
    public void end(ArgumentsNode node) {
//        try {
//
//            //JVMInstructionList instructionList = env.info.getCode().getInstructionList();
//            MethodRefInfo ref = InstructionCreator.CreateConstructor(env.getResultType(),
//                    env.parametersType.toArray(new String[1]));
//
//
//            env.insertCode(new InvokeSpecial(ref));
//            env.popInstructionStack();
//            // env.instructionTypes.remove(env.instructionTypes.size()-1);
//
//            //    LocalEntry entry = SymbolFacade.instance().getLocalTable().getEntry(env.varName);
//
//            //instructionList.add(env.lValueInstruction);
//
//
//        } catch (CompilerException | ByteCodeException ex) {
//            ex.printStackTrace(System.err);
//            System.exit(-1);
//        }
    }

    @Override
    public void end(ClassBodyNode node) {
    }
}
