/*
This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.
    
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package codegeneration.javavisitor.expression.expressiontransform;

import codegeneration.environment.ExpressionEnvironment;
import abstractsyntaxtree.ArgumentsNode;
import abstractsyntaxtree.ExplicitGenericInvocationNode;
import abstractsyntaxtree.ExpressionNode;
import abstractsyntaxtree.InnerCreatorNode;
import abstractsyntaxtree.NonWildcardTypeArgumentsNode;
import codegeneration.Visitor;
import codegeneration.abstractvisitors.AbstractIdentifierSuffixVisitor;
import java.io.IOException;
import java.util.logging.Level;
import java.util.logging.Logger;
import symbol.SymbolFacade;
import teajay.bytecode.ClassFile;
import teajay.bytecode.attributes.code.ALoad;
import teajay.bytecode.attributes.code.GetStatic;
import teajay.bytecode.attributes.code.InvokeVirtual;
import teajay.bytecode.cpool.ClassInfo;
import teajay.bytecode.cpool.FieldRefInfo;
import teajay.bytecode.cpool.MethodRefInfo;
import teajay.bytecode.cpool.NameAndTypeInfo;
import teajay.bytecode.exceptions.ByteCodeException;
import teajay.bytecode.fields.FieldInfo;
import teajay.bytecode.methods.MethodInfo;
import teajay.runtime.exceptions.ResolveException;
import teajay.util.io.ClassFinder;

/**
 *
 * @author cefour
 */
class IdentifierSuffixVisitor extends AbstractIdentifierSuffixVisitor {

    private final ExpressionEnvironment env;

    public IdentifierSuffixVisitor(ExpressionEnvironment env) {
        this.env = env;
    }

    @Override
    public void begin(ExplicitGenericInvocationNode node) {
    }

    @Override
    public void begin(NonWildcardTypeArgumentsNode node) {
    }

    @Override
    public void begin(InnerCreatorNode node) {
    }

    @Override
    public void begin(ExpressionNode node) {
    }

    @Override
    public void begin(ArgumentsNode node) {
        /*  String caller = env.varName;
         try {
         if (caller.contains("/")) {
         String[] split = caller.split("/");
         String fullQualifiedId = SymbolFacade.instance().getFullQualifiedId(split[0]);

         ClassFinder finder = ClassFinder.instance();
         ClassFile file = finder.find(fullQualifiedId).get();
         FieldInfo field = file.getField(split[1]);
         if (field.isStatic()) {
         env.info.getCode().getInstructionList().add(new GetStatic(FieldRefInfo.make(file.getThis(), split[1], field.getDescriptor())));
         }

         } else {
         }
         } catch (ByteCodeException | IOException | ResolveException ex) {
         }*/
    }

    @Override
    public Visitor visit(ExplicitGenericInvocationNode node) {
        return null;
    }

    @Override
    public Visitor visit(NonWildcardTypeArgumentsNode node) {
        return null;
    }

    @Override
    public Visitor visit(InnerCreatorNode node) {
        return null;
    }

    @Override
    public Visitor visit(ExpressionNode node) {
        return null;
    }

    @Override
    public Visitor visit(ArgumentsNode node) {
        return new ArgumentsVisitor(env);
    }

    @Override
    public void end(ExplicitGenericInvocationNode node) {
    }

    @Override
    public void end(NonWildcardTypeArgumentsNode node) {
    }

    @Override
    public void end(InnerCreatorNode node) {
    }

    @Override
    public void end(ExpressionNode node) {
    }

    @Override
    public void end(ArgumentsNode node) {

        /* try {
          
         MethodInfo printlnMethodInfo = symbol.MethodResolver.existMethod(
         env.typeName, env.varName, env.parametersType.toArray(new String[0]));

         NameAndTypeInfo nameAndType = new NameAndTypeInfo(env.varName, printlnMethodInfo.getDescriptor());
         MethodRefInfo mRef = new MethodRefInfo(env.typeName, nameAndType);
         env.info.getCode().getInstructionList().add(new InvokeVirtual(mRef));
         } catch (ByteCodeException | ResolveException | IOException ex) {
         }*/
    }
}
