/*
This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.
    
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package codegeneration.javavisitor.expression.expressiontransform;

import abstractsyntaxtree.ArgumentsNode;
import abstractsyntaxtree.CreatorNode;
import abstractsyntaxtree.Expression2RestNode;
import abstractsyntaxtree.ExpressionNode;
import abstractsyntaxtree.ParExpressionNode;
import codegeneration.Visitor;

/**
 *
 * @author cefour
 */
class IsCompositeExpressionVisitor extends Visitor {

    public boolean hasCompositeExpression = false;
    public boolean isInstanceOf = false;
    public boolean isCompositeExpression = true;
    private boolean isFirstTime = false;
    private boolean inParExpression = false;

    public void begin(ExpressionNode node) {
        if (!inParExpression) {
            if (isFirstTime == false) {
                isFirstTime = true;
            } else {
                isFirstTime = false;
                hasCompositeExpression = true;
            }
        }
    }

    public void begin(ParExpressionNode node) {
        inParExpression = true;
    }

    public void end(ParExpressionNode node) {
        inParExpression = false;
    }

    public void begin(Expression2RestNode node) {
        this.hasCompositeExpression = hasCompositeExpression ? false : true;
        if (node.isInfix()) {
            this.isCompositeExpression = true;
        } else {
            this.isInstanceOf = true;
        }
    }

    public Visitor visit(Expression2RestNode node) {

        return null;
    }
}
