/*
This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.
    
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package codegeneration.javavisitor.method;

import abstractsyntaxtree.FormalParameterDeclsNode;
import codegeneration.Visitor;
import codegeneration.abstractvisitors.AbstractFormalParameterDeclsVisitor;
import codegeneration.abstractvisitors.AbstractFormalParametersVisitor;
import datastructs.Pair;
import java.util.LinkedList;
import java.util.List;
import teajay.bytecode.cpool.FieldDescriptor;

/**
 *
 * @author cefour
 */
public class FormalParametersVisitor extends AbstractFormalParametersVisitor<List<Pair<FieldDescriptor, String>>> {

    private AbstractFormalParameterDeclsVisitor formalParameterDecls;
    private List<Pair<FieldDescriptor, String>> paramList = new LinkedList<>();

    @Override
    public void begin(FormalParameterDeclsNode node) {
    }

    @Override
    public Visitor visit(FormalParameterDeclsNode node) {

        return this.formalParameterDecls = new FormalParameterDeclsVisitor(paramList);
    }

    @Override
    public void end(FormalParameterDeclsNode node) {
    }

    @Override
    public List<Pair<FieldDescriptor, String>> getFieldContainer() {
        return this.paramList;
    }
}
