/*
This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.
    
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package stage3.utils;

import abstractsyntaxtree.ExpressionNode;
import codegeneration.environment.Stage3Environment;
import exceptions.CompilerException;
import teajay.generics.parser.Type;

/**
 *
 * @author Michael Burzan
 * Base class for field initializing in static constructors and constructors
 */
public abstract class FieldInitBuilder {
    abstract public void addVariable(Type type,String name, ExpressionNode node);
    abstract public void writeToInstructionList(Stage3Environment env) throws CompilerException;
}
